/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.properties.manifest.valueobject;

/**
 * プロパティファイルのManifestをあらわすバリューオブジェクト。
 */
public class BlancoPropertiesManifest {
    /**
     * フィールド [Manifest-Version]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["1.0"]<br>
     * マニフェストのバージョン。
     */
    private String fManifestVersion = "1.0";

    /**
     * フィールド [Bundle-Name]
     *
     * 項目の型 [java.lang.String]<br>
     * バンドル名。例: %nlFragmentName
     */
    private String fBundleName;

    /**
     * フィールド [Bundle-SymbolicName]
     *
     * 項目の型 [java.lang.String]<br>
     * シンボル名。例: blanco.nlpack.generator.nl1 ;singleton=true
     */
    private String fBundleSymbolicName;

    /**
     * フィールド [Bundle-Version]
     *
     * 項目の型 [java.lang.String]<br>
     * バージョン。例: 1.0.0
     */
    private String fBundleVersion;

    /**
     * フィールド [Bundle-Vendor]
     *
     * 項目の型 [java.lang.String]<br>
     * 例: %nlProviderName
     */
    private String fBundleVendor;

    /**
     * フィールド [Bundle-Localization]
     *
     * 項目の型 [java.lang.String]<br>
     * 例: nl_fragment
     */
    private String fBundleLocalization;

    /**
     * フィールド [Fragment-Host]
     *
     * 項目の型 [java.lang.String]<br>
     * フラグメントホスト。
     */
    private String fFragmentHost;

    /**
     * フィールド [Manifest-Version]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * マニフェストのバージョン。
     *
     * @param argManifestVersion フィールド[Manifest-Version]に格納したい値
     */
    public void setManifestVersion(final String argManifestVersion) {
        fManifestVersion = argManifestVersion;
    }

    /**
     * フィールド[Manifest-Version]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   ["1.0"]<br>
     * マニフェストのバージョン。
     *
     * @return フィールド[Manifest-Version]に格納されている値
     */
    public String getManifestVersion() {
        return fManifestVersion;
    }

    /**
     * フィールド [Bundle-Name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * バンドル名。例: %nlFragmentName
     *
     * @param argBundleName フィールド[Bundle-Name]に格納したい値
     */
    public void setBundleName(final String argBundleName) {
        fBundleName = argBundleName;
    }

    /**
     * フィールド[Bundle-Name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * バンドル名。例: %nlFragmentName
     *
     * @return フィールド[Bundle-Name]に格納されている値
     */
    public String getBundleName() {
        return fBundleName;
    }

    /**
     * フィールド [Bundle-SymbolicName]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * シンボル名。例: blanco.nlpack.generator.nl1 ;singleton=true
     *
     * @param argBundleSymbolicName フィールド[Bundle-SymbolicName]に格納したい値
     */
    public void setBundleSymbolicName(final String argBundleSymbolicName) {
        fBundleSymbolicName = argBundleSymbolicName;
    }

    /**
     * フィールド[Bundle-SymbolicName]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * シンボル名。例: blanco.nlpack.generator.nl1 ;singleton=true
     *
     * @return フィールド[Bundle-SymbolicName]に格納されている値
     */
    public String getBundleSymbolicName() {
        return fBundleSymbolicName;
    }

    /**
     * フィールド [Bundle-Version]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * バージョン。例: 1.0.0
     *
     * @param argBundleVersion フィールド[Bundle-Version]に格納したい値
     */
    public void setBundleVersion(final String argBundleVersion) {
        fBundleVersion = argBundleVersion;
    }

    /**
     * フィールド[Bundle-Version]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * バージョン。例: 1.0.0
     *
     * @return フィールド[Bundle-Version]に格納されている値
     */
    public String getBundleVersion() {
        return fBundleVersion;
    }

    /**
     * フィールド [Bundle-Vendor]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 例: %nlProviderName
     *
     * @param argBundleVendor フィールド[Bundle-Vendor]に格納したい値
     */
    public void setBundleVendor(final String argBundleVendor) {
        fBundleVendor = argBundleVendor;
    }

    /**
     * フィールド[Bundle-Vendor]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 例: %nlProviderName
     *
     * @return フィールド[Bundle-Vendor]に格納されている値
     */
    public String getBundleVendor() {
        return fBundleVendor;
    }

    /**
     * フィールド [Bundle-Localization]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 例: nl_fragment
     *
     * @param argBundleLocalization フィールド[Bundle-Localization]に格納したい値
     */
    public void setBundleLocalization(final String argBundleLocalization) {
        fBundleLocalization = argBundleLocalization;
    }

    /**
     * フィールド[Bundle-Localization]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 例: nl_fragment
     *
     * @return フィールド[Bundle-Localization]に格納されている値
     */
    public String getBundleLocalization() {
        return fBundleLocalization;
    }

    /**
     * フィールド [Fragment-Host]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フラグメントホスト。
     *
     * @param argFragmentHost フィールド[Fragment-Host]に格納したい値
     */
    public void setFragmentHost(final String argFragmentHost) {
        fFragmentHost = argFragmentHost;
    }

    /**
     * フィールド[Fragment-Host]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * フラグメントホスト。
     *
     * @return フィールド[Fragment-Host]に格納されている値
     */
    public String getFragmentHost() {
        return fFragmentHost;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.properties.manifest.valueobject.BlancoPropertiesManifest[");
        buf.append("Manifest-Version=" + fManifestVersion);
        buf.append(",Bundle-Name=" + fBundleName);
        buf.append(",Bundle-SymbolicName=" + fBundleSymbolicName);
        buf.append(",Bundle-Version=" + fBundleVersion);
        buf.append(",Bundle-Vendor=" + fBundleVendor);
        buf.append(",Bundle-Localization=" + fBundleLocalization);
        buf.append(",Fragment-Host=" + fFragmentHost);
        buf.append("]");
        return buf.toString();
    }
}
